Bug 60252 - Add sent kbytes/s to Aggregate Report and Summary report
Summary: Add sent kbytes/s to Aggregate Report and Summary report
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 3.0
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-13 19:47 UTC by Philippe Mouawad
Modified: 2016-10-18 18:41 UTC (History)
2 users (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Mouawad 2016-10-13 19:47:39 UTC
Following Bug 60229, sent_bytes has been added to HTML report.
Should it be added to those 2 other reports ?
Comment 1 Philippe Mouawad 2016-10-15 13:36:07 UTC
Author: pmouawad
Date: Sat Oct 15 13:34:54 2016
New Revision: 1765062

URL: http://svn.apache.org/viewvc?rev=1765062&view=rev
Log:
Bug 60252 - Add sent kbytes/s to Aggregate Report and Summary report
Bugzilla Id: 60252

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatGraphVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/SummaryReport.java
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
    jmeter/trunk/src/core/org/apache/jmeter/util/Calculator.java
    jmeter/trunk/src/core/org/apache/jmeter/visualizers/SamplingStatCalculator.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/math/StatCalculator.java
    jmeter/trunk/xdocs/changes.xml
    jmeter/trunk/xdocs/usermanual/component_reference.xml
Comment 2 Philippe Mouawad 2016-10-15 13:38:30 UTC
Working on this bug:
- I aligned formats between Aggregate and Summary report
- I fixed what seems to be an existing bug where Calculator#clear was not clearing fields:
* bytes
* sentBytes
* errors
* startTime
* elapsedTime 


@Team can you double check ?
Thanks
Comment 3 Philippe Mouawad 2016-10-18 18:41:16 UTC
Author: pmouawad
Date: Tue Oct 18 18:40:52 2016
New Revision: 1765492

URL: http://svn.apache.org/viewvc?rev=1765492&view=rev
Log:
Bug 60252 - Add sent kbytes/s to Aggregate Report and Summary report
Remove use of deprecated setBytes(int)
Bugzilla Id: 60252

Modified:
    jmeter/trunk/test/src/org/apache/jmeter/samplers/TestSampleResult.java
    jmeter/trunk/test/src/org/apache/jmeter/save/TestCSVSaveService.java